> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ntropy.com/documentation/api/reports/get-reports-v-3-reports-get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ntropy.com/_mcp/server. # List all reports GET https://api.ntropy.com/v3/reports List all reports Reference: https://docs.ntropy.com/documentation/api/reports/get-reports-v-3-reports-get ## Authentication - `X-Api-Key` header (required) — API Key authentication via header ## Request ### Query parameters - `created_after` (datetime, optional, nullable) — Only return report older or equal than this date - `created_before` (datetime, optional, nullable) — Only return report newer than this date - `cursor` (string, optional, nullable) — Starting point for the set of report - `limit` (integer, optional, default: 10) — The limit of report to be returned - `status` (enum, optional, nullable) — If specified, only return reports with this status - Allowed values: `open`, `pending`, `resolved`, `rejected` ## Response ### 200 Successful Response - `next_cursor` (string, required, nullable) - `data` (list of Report, required) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### Report - `transaction_id` (string, required) — The unique identifier of the transaction - `description` (string, required) — A description of what is wrong in the transaction - `fields` (list of string, required) — A list of the fields that are incorrect - `id` (string, required) — A generated unique identifier for the report. - `created_at` (datetime, required) — The date and time when the report was created. - `status` (enum, required) — The status of the report. * `open`: a newly created report * `pending`: the report is being investigated * `rejected`: the original enrichment output was deemed correct or we couldn't resolve it, check `rejection_reason` * `resolved`: the issue has been resolved - Allowed values: `open`, `pending`, `resolved`, `rejected` - `rejection_reason` (string, optional, nullable) — If the report was rejected, an explanation for the rejection. ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples ### Example_0 **Request** ```json {} ``` **Response** ```json { "next_cursor": "eyJwYWdlIjoxLCJpZCI6IjY3ODkwYWJjZC1lZjEyLTM0NTYtYmY3OC1hYmNkZWYxMjM0NTYifQ==", "data": [ { "transaction_id": "tx_9f8b7c6d4e3a2b1c", "description": "Incorrect merchant category code detected", "fields": [ "merchant.category_code" ], "id": "a652285d-de1b-4a6f-b6ce-45efa9be7952", "created_at": "2024-01-15T09:30:00Z", "status": "open", "rejection_reason": null } ] } ``` **SDK Code** ```python Example_0 import requests url = "https://api.ntropy.com/v3/reports" payload = {} headers = { "X-Api-Key": "", "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Example_0 const url = 'https://api.ntropy.com/v3/reports'; const options = { method: 'GET', headers: {'X-Api-Key': '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example_0 package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.ntropy.com/v3/reports" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("X-Api-Key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example_0 require 'uri' require 'net/http' url = URI("https://api.ntropy.com/v3/reports") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Api-Key"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Example_0 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.ntropy.com/v3/reports") .header("X-Api-Key", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Example_0 request('GET', 'https://api.ntropy.com/v3/reports', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', 'X-Api-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp Example_0 using RestSharp; var client = new RestClient("https://api.ntropy.com/v3/reports"); var request = new RestRequest(Method.GET); request.AddHeader("X-Api-Key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example_0 import Foundation let headers = [ "X-Api-Key": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.ntropy.com/v3/reports")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### cURL **SDK Code** ```python Python SDK from ntropy_sdk import SDK sdk = SDK("cd1H...Wmhl") reports = sdk.reports.list() ``` ```javascript cURL const url = 'https://api.ntropy.com/v3/reports'; const options = {method: 'GET', headers: {'X-Api-Key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go cURL package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.ntropy.com/v3/reports" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-Api-Key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby cURL require 'uri' require 'net/http' url = URI("https://api.ntropy.com/v3/reports") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Api-Key"] = '' response = http.request(request) puts response.read_body ``` ```java cURL import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.ntropy.com/v3/reports") .header("X-Api-Key", "") .asString(); ``` ```php cURL request('GET', 'https://api.ntropy.com/v3/reports', [ 'headers' => [ 'X-Api-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp cURL using RestSharp; var client = new RestClient("https://api.ntropy.com/v3/reports"); var request = new RestRequest(Method.GET); request.AddHeader("X-Api-Key", ""); IRestResponse response = client.Execute(request); ``` ```swift cURL import Foundation let headers = ["X-Api-Key": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.ntropy.com/v3/reports")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```